Skip to main content
POST
/
api
/
v2
/
chatbots
/
{chatbotId}
/
leads
/
actions
Run lead action
curl --request POST \
  --url https://sitegpt.ai/api/v2/chatbots/{chatbotId}/leads/actions \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "action": "star",
  "leadIds": [
    "lead-id"
  ]
}
'
{
  "ok": true,
  "data": {
    "action": "star",
    "leads": [
      {
        "id": "lead-id",
        "name": "Example lead",
        "createdAt": "2026-05-13T00:00:00.000Z"
      }
    ]
  },
  "meta": {
    "requestId": "request-id"
  }
}

Documentation Index

Fetch the complete documentation index at: https://sitegpt.ai/docs/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

chatbotId
string
required

Body

application/json
action
enum<string>
required
Available options:
archive,
delete,
star,
unarchive,
unstar
leadIds
string[]
required
Minimum array length: 1
confirm
boolean

Required true for bulk delete.

Response

Successful SiteGPT API v2 response.

ok
boolean
required
data
object
required
meta
object
required